Bug 1448694 - Review Request: rubygem-json-schema - Ruby JSON Schema Validator
Summary: Review Request: rubygem-json-schema - Ruby JSON Schema Validator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-07 10:42 UTC by František Dvořák
Modified: 2017-06-09 18:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 23:26:02 UTC
Type: ---
mtasaka: fedora-review+


Attachments (Terms of Use)

Comment 1 Mamoru TASAKA 2017-05-08 08:58:59 UTC
Taking.

I would appreciate it if you would review my review request (bug 1448298)

Comment 2 Mamoru TASAKA 2017-05-09 06:57:12 UTC
One recommendation
* I usually recommend to place "README.md" to main package, as it says "README", however this is up to your decision.

* license okay
* source matches the upstream
* spec file clean
* koji build okay (F-27, F-26)
* rpmlint clean
* installation okay
* basic functionality (taken from README.md) works.

$ ruby -e 'require "json-schema" ; schema = {"type"=>"object", "required"=>["a"], "properties"=>{"a"=>{"type"=>"integer"}}} ; p JSON::Validator.validate(schema, { "a" => 5 }) ; p JSON::Validator.validate(schema, { "a" => 4.3 })'
true
false

=====================================================
This package (rubygem-json-schema) is APPROVED
by mtasaka
=====================================================

Comment 3 Gwyn Ciesla 2017-05-11 15:12:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-json-schema

Comment 4 Fedora Update System 2017-05-11 16:15:35 UTC
rubygem-json-schema-2.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e08c3c0474

Comment 5 Fedora Update System 2017-05-11 16:15:44 UTC
rubygem-json-schema-2.8.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2290ea410a

Comment 6 Fedora Update System 2017-05-12 19:56:38 UTC
rubygem-json-schema-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e08c3c0474

Comment 7 Fedora Update System 2017-05-13 01:12:16 UTC
rubygem-json-schema-2.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2290ea410a

Comment 8 Fedora Update System 2017-05-27 23:26:02 UTC
rubygem-json-schema-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-06-09 18:54:39 UTC
rubygem-json-schema-2.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.